KM(4)

NAME
km - AMD K10 temperature sensor

SYNOPSIS
km* at pci?

DESCRIPTION
The km driver provides support for the temperature sensors available in the AMD Family 10h, 11h and 14h processors.

Each chip reports one temperature sensor. Multiprocessor systems have one instance of km per chip. The highest resolution supported by the driver is 0.125 degC.

Sensor values are made available through the sysctl(8) interface.

SEE ALSO
intro(4), pci(4), sensorsd(8), sysctl(8) BIOS and Kernel Developer's Guide for AMD Family 10h Processors, March 26, 2008, Publication # 31116, pp. 236--237 and pp. 243--244. BIOS and Kernel Developer's Guide for AMD Family 11h Processors, July 07, 2008, Publication # 41256, pp. 156--157 and pp. 159--160. BIOS and Kernel Developer's Guide for AMD Family 14h Models 00h-04h Processors, May 02, 2011, Publication # 43170, pp. 277--278 and pp. 280--282.

HISTORY
The km driver first appeared in OpenBSD 4.4.

AUTHORS
-nosplit The km driver was written by Constantine A. Murenin <cnst@openbsd.org>, University of Waterloo.